- Main Page
- Modules
- Namespaces
- Classes
- Files

# fakesink.h File Reference

`#include <glibmm.h>`
`#include <gstreamermm/basesink.h>`
`#include <gstreamermm/buffer.h>`
`#include <gstreamermm/pad.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::FakeSink
| Gst::FakeSink - fakesink plugin. More...
## Enumerations
enum | Gst::FakeSinkStateError { Gst::FAKE_SINK_STATE_ERROR_NONE, Gst::FAKE_SINK_STATE_ERROR_NULL_READY, Gst::FAKE_SINK_STATE_ERROR_READY_PAUSED, Gst::FAKE_SINK_STATE_ERROR_PAUSED_PLAYING, Gst::FAKE_SINK_STATE_ERROR_PLAYING_PAUSED, Gst::FAKE_SINK_STATE_ERROR_PAUSED_READY, Gst::FAKE_SINK_STATE_ERROR_READY_NULL }